Skip to content

Retrieve a segment

Request

You can fetch the details of a single segment.

Security
bearerAuth
Path
idstringrequired

The unique identified of a given segment.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  https://api.intercom.io/segments/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

Successful response

Bodyapplication/json
typestring

The type of object.

Value:"segment"
Example:"segment"
idstring

The unique identifier representing the segment.

Example:"56203d253cba154d39010062"
namestring

The name of the segment.

Example:"Active"
created_atinteger

The time the segment was created.

Example:1394621988
updated_atinteger

The time the segment was updated.

Example:1394622004
person_typestring

Type of the contact: contact (lead) or user.

Enum:"contact""user"
Example:"contact"
countinteger or null

The number of items in the user segment. It's returned when include_count=true is included in the request.

Example:3
Response
{ "type": "segment", "id": "6657abc26abd0164c24b0dcf", "name": "John segment", "created_at": 1717021634, "updated_at": 1717021634, "person_type": "user" }